import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';
import 'package:intro_slider/intro_slider.dart';
import '../../Helper/Constants/AssetConstants.dart';
import '../../Helper/Constants/Colorconstants.dart';
import '../../View/Authentication/Logiview.dart';


class IntroScreenController extends GetxController{

  List<ContentConfig> listContentConfig = [];

  void onDonePress() {
    Get.to(()=> LoginView());
  }

  @override
  void onInit() {
    // TODO: implement onInit
    super.onInit();

    listContentConfig.add(
      ContentConfig(
        title: "Get Online",
        styleTitle: TextStyle(color: ColorConstants.blackColor,fontSize: 30,fontWeight: FontWeight.bold),
        maxLineTitle: 2,
        marginDescription: EdgeInsets.only(top: 0,left: 20,right: 20),
        description: "Bring your store online and connect with nearby customers.",
        styleDescription: TextStyle(color: ColorConstants.blackColor,fontSize: 18,fontWeight: FontWeight.normal),
        pathImage: AssetConstants.onBoarding1,
        heightImage:Get.height*0.40 ,
        widthImage: Get.width*0.40 ,
        backgroundColor: ColorConstants.secondaryColor,
      ),
    );

    listContentConfig.add(
      ContentConfig(
        title: "Get Noticed",
        maxLineTitle: 2,
        marginDescription: EdgeInsets.only(top: 0,left: 20,right: 20),
        styleTitle: TextStyle(
          color: ColorConstants.blackColor,
          fontSize: 30,
          fontWeight: FontWeight.bold,
        ),
        description: "Showcase your products to people around you through the Nearle app.",
        styleDescription: TextStyle(color: ColorConstants.blackColor,fontSize: 18,fontWeight: FontWeight.normal),
        pathImage: AssetConstants.onBoarding2,
        heightImage:Get.height*0.40 ,
        widthImage: Get.width*0.40 ,
        backgroundColor: ColorConstants.secondaryColor,
        widgetDescription: Padding(
          padding: const EdgeInsets.only(top: 20),
          child: Text(
            'Showcase your products to people around you through the Nearle app.',
            style: TextStyle(color: ColorConstants.blackColor,fontSize: 18,fontWeight: FontWeight.normal),
            textAlign: TextAlign.center,
          ),
        ),
      ),
    );
    listContentConfig.add(
      ContentConfig(
        title: "Get Simplified",
        maxLineTitle: 2,
        marginDescription: EdgeInsets.only(top: 0,left: 20,right: 20),
        styleTitle: TextStyle(color: ColorConstants.blackColor,fontSize: 30,fontWeight: FontWeight.bold),
        description: "Delight the community with a personalized online experience. Grow your sales with smart platform.",
        styleDescription: TextStyle(color: ColorConstants.blackColor,fontSize: 18,fontWeight: FontWeight.normal),
        pathImage: AssetConstants.onBoarding3,
        heightImage:Get.height*0.40 ,
        widthImage: Get.width*0.40 ,
        backgroundColor: ColorConstants.secondaryColor,
      ),
    );
  }
}